package terremoti_senza_interfacce;

public class EventoTsunami extends EventoSismico{
	
	private static final int ALTEZZA_LIMITE = 10;
	
	private int altezzaOnde;
	
	public EventoTsunami(){
		this("gg/mm/aaaa",0,0,0,0,0);
	}
	
	public EventoTsunami(String data, double lat, double lon, double prof, double magnitudo, int altezzaOnde){
		super(data,lat,lon,prof,magnitudo);
		this.altezzaOnde = altezzaOnde;
	}
	
	public int getAltezzaOnde(){
		return altezzaOnde;
	}
	
	// metodo di utilita'
	public boolean tsunamiViolento(){
		return altezzaOnde > ALTEZZA_LIMITE;
	}
	
	public String toString(){
		String s = super.toString();
		s += "Altezza onde: "+altezzaOnde+"\n\n";
		return s;
	}
	

}
