package terremoti_senza_interfacce;

import java.util.*;
import terremoti_senza_interfacce.Luogo.Regione;

public class INGV {

	private static List<EventoSismico> eventi;
	private static Map<String,Luogo> epicentro;
	
	static{
		eventi = new ArrayList<EventoSismico>();
		epicentro = new HashMap<String,Luogo>();
	}
	
	// punto 2)
	public static EventoSismico trovaTerremoto(String codice){
		boolean trovato=false;
		EventoSismico evento = null;
		for(int i=0; i<eventi.size() && !trovato; i++)
			if(eventi.get(i).getCodice().equals(codice)){
				trovato = true;
				evento = eventi.get(i);
			}
		return evento;
	}
	
	// punto 3)
	public static Set<EventoSismico> terremotiFortiInRegione(Regione regione){
		Set<EventoSismico> eventiForti = new HashSet<EventoSismico>();
		Set<String> codiciEventi = epicentro.keySet();
		Iterator<String> i = codiciEventi.iterator();
		//  possibile definire un'unica istruzione in sostituzione
		// delle due istruzioni sopra:
		// Iterator<String> i = epicentro.keySet().iterator();
		while(i.hasNext()){
			String codice = i.next();
			if(epicentro.get(codice).getRegione()==regione){
				EventoSismico e = trovaTerremoto(codice);
				if(e.terremotoForte())
					eventiForti.add(e);
			}
		}
		return eventiForti;
	}
	
	// punto 4)
	public static int numTsunamiViolentiPerAnno(int anno){
		int numT = 0;
		for(int i=0; i<eventi.size(); i++)
			if(eventi.get(i) instanceof EventoTsunami)
				if(eventi.get(i).getAnno() == anno && ((EventoTsunami)(eventi.get(i))).tsunamiViolento())
					numT++;
		return numT;
	}
	
	
}
